PETSc version 3.15.5
Fix/Edit manual page

# DMDAVecRestoreArray

Restores a multiple dimension array obtained with DMDAVecGetArray()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAVecRestoreArray(DM da,Vec vec,void *array)

Logically collective on da

### Input Parameter

| da | - the distributed array
| vec | - the vector, either a vector the same size as one obtained with DMCreateGlobalVector() or DMCreateLocalVector()
| array | - the array, non-NULL pointer is zeroed

### Fortran Notes

From Fortran use DMDAVecRestoreArayF90()

### See Also

DMDAGetGhostCorners(), DMDAGetCorners(), VecGetArray(), VecRestoreArray(), DMDAVecGetArray(),
DMDAVecGetArrayWrite(), DMDAVecRestoreArrayWrite(), DMDAVecGetArrayRead(), DMDAVecRestoreArrayRead(), DMDStagVecRestoreArray()

### Level

intermediate

### Location

src/dm/impls/da/dagetarray.c

### Examples

src/dm/tutorials/ex3.c.html
src/dm/tutorials/ex10.c.html
src/dm/tutorials/swarm_ex1.c.html
src/ksp/ksp/tutorials/ex29.c.html
src/ksp/ksp/tutorials/ex32.c.html
src/ksp/ksp/tutorials/ex42.c.html
src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex45.c.html
src/ksp/ksp/tutorials/ex49.c.html
src/ksp/ksp/tutorials/ex50.c.html
src/ksp/ksp/tutorials/ex66.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages